Bug 1317497 - ethtool-4.8 is available
Summary: ethtool-4.8 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ethtool
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 12:13 UTC by Upstream Release Monitoring
Modified: 2016-11-30 05:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-30 05:30:02 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.27 KB, patch)
2016-03-14 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.99 KB, patch)
2016-06-27 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.99 KB, patch)
2016-10-04 19:10 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-03-14 12:13:53 UTC
Latest upstream release: 4.5
Current version/release in rawhide: 4.2-2.fc24
URL: http://kernel.org/pub/software/network/ethtool/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-03-14 12:14:07 UTC
Patching or scratch build for ethtool and version 4.2 FAILED.
See for details

Comment 2 Upstream Release Monitoring 2016-03-14 12:14:08 UTC
Created attachment 1136125 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-03-14 12:14:10 UTC
Patches were not touched. All were applied properly

Comment 4 Account closed by the user 2016-04-20 21:29:11 UTC
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 4.5
> Current version/release in rawhide: 4.2-2.fc24
> URL: http://kernel.org/pub/software/network/ethtool/

<https://marc.info/?l=linux-netdev&m=145792073114469>

4.5 Release notes:

* Tests: Fix missing function declarations when building tests
* Tests: Fix return type of test_free() prorotype
* Feature: Add PHY statistics support (--phy-statistics option)
* Doc: Properly indent sub-options in man page
* Feature: Support setting default Rx flow indirection table
           (-X option)
* Fix: Use 'sane' kernel type definitions on 64-bit architectures
* Fix: Don't ignore fread() return value (-d option)
* Fix: Heap corruption when dumping registers from a file (-d option)
* Fix: Stricter input validation for EEPROM setting (-E option)
* Fix: Fix strict-aliasing compiler warnings in marvell.c
* Tests: Fix use of uninitialised variable in test_realloc()
* Tests: Fix compiler warning in test-features.c

Comment 5 Upstream Release Monitoring 2016-06-27 00:11:14 UTC
Latest upstream release: 4.6
Current version/release in rawhide: 4.2-2.fc24
URL: http://kernel.org/pub/software/network/ethtool/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/763/

Comment 6 Upstream Release Monitoring 2016-06-27 00:11:35 UTC
Patching or scratch build for ethtool-4.2 failed.

Comment 7 Upstream Release Monitoring 2016-06-27 00:11:37 UTC
Created attachment 1172705 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 8 Upstream Release Monitoring 2016-06-27 00:11:38 UTC
Patches were not touched. All were applied properly

Comment 9 Upstream Release Monitoring 2016-10-04 19:10:01 UTC
Latest upstream release: 4.8
Current version/release in rawhide: 4.2-2.fc24
URL: http://kernel.org/pub/software/network/ethtool/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/763/

Comment 10 Upstream Release Monitoring 2016-10-04 19:10:25 UTC
Patching or scratch build for ethtool-4.2 failed.

Comment 11 Upstream Release Monitoring 2016-10-04 19:10:27 UTC
Created attachment 1207325 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 12 Upstream Release Monitoring 2016-10-04 19:10:29 UTC
Patches were not touched. All were applied properly

Comment 13 Account closed by the user 2016-10-19 01:04:07 UTC
(In reply to Upstream Release Monitoring from comment #9)

> Latest upstream release: 4.8
> Current version/release in rawhide: 4.2-2.fc24
> URL: http://kernel.org/pub/software/network/ethtool/

ping!

Comment 14 Ido Schimmel 2016-11-26 14:47:25 UTC
Hi,

The last release of ethtool contains some pretty important enhancements, such as the ability to configure speeds of 25/50/100G. Can you please update the rawhide version from 4.2 to 4.8?

Thanks

Comment 15 Ido Schimmel 2016-11-26 15:26:30 UTC
(In reply to Ido Schimmel from comment #14)
> Hi,
> 
> The last release of ethtool contains some pretty important enhancements,
> such as the ability to configure speeds of 25/50/100G. Can you please update
> the rawhide version from 4.2 to 4.8?

If anyone is interested, I've created a COPR repository for ethtool v4.8 in the meantime:
https://copr.fedorainfracloud.org/coprs/idosch/ethtool/

Comment 16 Upstream Release Monitoring 2016-11-27 23:41:24 UTC
robert's ethtool-4.8-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=820641

Comment 17 Fedora Update System 2016-11-27 23:48:54 UTC
ethtool-4.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a900784da3

Comment 18 Robert Scheck 2016-11-27 23:51:21 UTC
Xose and Ido: I updated Rawhide and Fedora 25 to ethtool 4.8 now, given
Jaromír seems to be quite busy (I'm the co-maintainer). Not sure if the
other branches should be updated as well...

Comment 19 Ido Schimmel 2016-11-28 07:48:11 UTC
(In reply to Robert Scheck from comment #18)
> Xose and Ido: I updated Rawhide and Fedora 25 to ethtool 4.8 now, given
> Jaromír seems to be quite busy (I'm the co-maintainer). Not sure if the
> other branches should be updated as well...

Fedora 25 and rawhide are fine by me. Just gave karma in bodhi. Will ask my team mates to test as well.

Thanks!

Comment 20 Fedora Update System 2016-11-28 09:37:02 UTC
ethtool-4.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a900784da3

Comment 21 Fedora Update System 2016-11-30 05:30:02 UTC
ethtool-4.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.